FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Debian > Debian GCC

 
 
LinkBack Thread Tools
 
Old 01-07-2012, 01:23 AM
Jerome BENOIT
 
Default Bug#654951: gdc-4.6: gdc, gdmd, dmd, and rdmd are missing

Package: gdc-4.6
Version: 0.29.1-4.6.2-4
Severity: normal

Hello:

It appears that there is not gdc link to gdc-4.6, and no gdmd link to gdmd-4.6.

Second, rdmd, which is needed to write D script, is really missing while its
d source is distributed withing the source.
dmd is certainly need as cc is needed.

hth,
Jerome

-- System Information:
Debian Release: Wheezy*
APT prefers testing
APT policy: (990, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 3.1.6-amd64-mbp62 (SMP w/4 CPU cores)
Locale: LANG=en_GB, LC_CTYPE=en_GB (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages gdc-4.6 depends on:
ii g++-4.6 4.6.2-9
ii gcc-4.6-base 4.6.2-9
ii libc6 2.13-24
ii libgmp10 2:5.0.2+dfsg-2
ii libmpc2 0.9-4
ii libmpfr4 3.1.0-3
ii libphobos2-4.6-dev 0.29.1-4.6.2-4
ii zlib1g 1:1.2.3.4.dfsg-3

gdc-4.6 recommends no packages.

gdc-4.6 suggests no packages.

-- no debconf information



--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 20120107022301.8028.38224.reportbug@nen.dnsalias.o rg">http://lists.debian.org/20120107022301.8028.38224.reportbug@nen.dnsalias.o rg
 
Old 01-07-2012, 05:37 AM
Matthias Klose
 
Default Bug#654951: gdc-4.6: gdc, gdmd, dmd, and rdmd are missing

On 01/07/2012 03:23 AM, Jerome BENOIT wrote:
> Package: gdc-4.6
> Version: 0.29.1-4.6.2-4
> Severity: normal
>
> Hello:
>
> It appears that there is not gdc link to gdc-4.6, and no gdmd link to gdmd-4.6.

just install the gdc package.

> Second, rdmd, which is needed to write D script, is really missing while its
> d source is distributed withing the source.
> dmd is certainly need as cc is needed.

please send a patch for gdc-4.6 to build and install it.



--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4F07E819.7080602@debian.org">http://lists.debian.org/4F07E819.7080602@debian.org
 
Old 01-07-2012, 01:32 PM
Jerome BENOIT
 
Default Bug#654951: gdc-4.6: gdc, gdmd, dmd, and rdmd are missing

Hi:

On 07/01/12 07:37, Matthias Klose wrote:

On 01/07/2012 03:23 AM, Jerome BENOIT wrote:

Package: gdc-4.6
Version: 0.29.1-4.6.2-4
Severity: normal

Hello:

It appears that there is not gdc link to gdc-4.6, and no gdmd link to gdmd-4.6.


just install the gdc package.


as gdc depends on gdc-4.4, gdc cannot be installed.



Second, rdmd, which is needed to write D script, is really missing while its
d source is distributed withing the source.
dmd is certainly need as cc is needed.


please send a patch for gdc-4.6 to build and install it.



Is there any difficulty to do so ?

Jerome



--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4F08579B.5050905@rezozer.net">http://lists.debian.org/4F08579B.5050905@rezozer.net
 
Old 01-07-2012, 02:11 PM
Jerome BENOIT
 
Default Bug#654951: gdc-4.6: gdc, gdmd, dmd, and rdmd are missing

Hello:

On 07/01/12 15:32, Jerome BENOIT wrote:

Hi:

On 07/01/12 07:37, Matthias Klose wrote:

On 01/07/2012 03:23 AM, Jerome BENOIT wrote:

Package: gdc-4.6
Version: 0.29.1-4.6.2-4
Severity: normal

Hello:

It appears that there is not gdc link to gdc-4.6, and no gdmd link to gdmd-4.6.


just install the gdc package.


as gdc depends on gdc-4.4, gdc cannot be installed.


This is true for Wheezy, but no more for Sid.




Second, rdmd, which is needed to write D script, is really missing while its
d source is distributed withing the source.
dmd is certainly need as cc is needed.


please send a patch for gdc-4.6 to build and install it.



Is there any difficulty to do so ?

Jerome




--
To UNSUBSCRIBE, email to debian-gcc-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 4F0860AD.7080906@rezozer.net">http://lists.debian.org/4F0860AD.7080906@rezozer.net
 
Old 01-08-2012, 12:57 AM
Jerome BENOIT
 
Default Bug#654951: gdc-4.6: gdc, gdmd, dmd, and rdmd are missing

Hello:

On 07/01/12 07:37, Matthias Klose wrote:

On 01/07/2012 03:23 AM, Jerome BENOIT wrote:

Package: gdc-4.6
Version: 0.29.1-4.6.2-4
Severity: normal

Hello:

It appears that there is not gdc link to gdc-4.6, and no gdmd link to gdmd-4.6.


just install the gdc package.


Second, rdmd, which is needed to write D script, is really missing while its
d source is distributed withing the source.
dmd is certainly need as cc is needed.


please send a patch for gdc-4.6 to build and install it.


Please find in attachment a patch for `rdmd.d'.
I can build it on my amd64 box.
Unfortunately I am not familiar with Debian package maintenance,
so I cannot go further but I guess that the main part was done.

hth,
Jerome
 

Thread Tools




All times are GMT. The time now is 12:04 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org